Loading...
Searching...
No Matches
CglRedSplit2.hpp File Reference
`#include "CglCutGenerator.hpp"`
`#include "CglRedSplit2Param.hpp"`
`#include "CoinWarmStartBasis.hpp"`
`#include "CoinHelperFunctions.hpp"`
`#include "CoinTime.hpp"`
Include dependency graph for CglRedSplit2.hpp:

Go to the source code of this file.

## Classes

class | CglRedSplit2
| Reduce-and-Split Cut Generator Class; See method generateCuts(). More...

## Functions

void | CglRedSplit2UnitTest (const OsiSolverInterface *siP, const std::string mpdDir)
| A function that tests some of the methods in the CglRedSplit2 class.

## Function Documentation

## CglRedSplit2UnitTest()

void CglRedSplit2UnitTest | ( | const OsiSolverInterface * | siP,
|  | const std::string | mpdDir )

A function that tests some of the methods in the CglRedSplit2 class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging.